#------------------------------------------------------------
# Values for this workshop.
#------------------------------------------------------------

# Which carpentry is this ("swc", "dc", "lc", or "cp")?
# swc: Software Carpentry
#  dc: Data Carpentry
#  lc: Library Carpentry
#  cp: Carpentries (to use for instructor training for instance)
# Note that for regular workshops, you should use:
#  https://github.com/carpentries/workshop-template
# and for instructor training events you should use:
#  https://github.com/carpentries/training-template
carpentry: "swc"

# This option is currently only needed for Data Carpentry workshops.
# The value of the variable will be ignored for Software Carpentry and
# Library Carpentry workshops.
# Possible values are:
# dc-ecology: for Data Carpentry Ecology workshops
# dc-genomics: for Data Carpentry Genomics
# dc-socsci: for Data Carpentry Social Sciences
# dc-geospatial: for Data Carpentry Geospatial
curriculum: "FIXME"

# If there is both an R and python official version of a curriculum, change the
# value of the variable below ("flavor") to get the schedule updated accordingly
# (valid values are 'r' or 'python').
# Note: this is only for Data Carpentry curricula at this time.
flavor: "r"

# Overall title for the Workshop.
# This variable is used to (optionally) add a title in the "jumbotron"
# (the grey box at the top of the page), and to the extra pages.
# Most workshops don't use extra pages. More information about extra
# pages are included in the README:
# https://github.com/carpentries/workshop-template#creating-extra-pages
title: "Workshop Title"


#------------------------------------------------------------
# Generic settings (should not need to change).
#------------------------------------------------------------

# What kind of thing is this ("workshop" or "lesson")?
kind: "workshop"

# Magic to make URLs resolve both locally and on GitHub.
# See https://help.github.com/articles/repository-metadata-on-github-pages/.
# Please don't change it: <USERNAME>/<PROJECT> is correct.
repository: hifis/ADD_REPO_NAME_HERE

# Email address, no mailto:
# (Don't change this -- the contact address for your workshop will be set 
# in the index.md file)
email: "team@carpentries.org"

# Sites.
amy_site: "https://amy.carpentries.org"
carpentries_github: "https://github.com/carpentries"
carpentries_pages: "https://carpentries.github.io"
carpentries_site: "https://carpentries.org/"
dc_site: "https://datacarpentry.org"
example_repo: "https://github.com/carpentries/lesson-example"
example_site: "https://carpentries.github.io/lesson-example"
lc_site: "https://librarycarpentry.org/"
swc_github: "https://github.com/swcarpentry"
swc_pages: "https://swcarpentry.github.io"
swc_site: "https://software-carpentry.org"
template_repo: "https://github.com/carpentries/styles"
training_site: "https://carpentries.github.io/instructor-training"
workshop_repo: "https://github.com/carpentries/workshop-template"
workshop_site: "https://carpentries.github.io/workshop-template"

# Surveys.
pre_survey: https://carpentries.typeform.com/to/wi32rS?slug=
post_survey: https://carpentries.typeform.com/to/UgVdRQ?slug=

# Start time in minutes (0 to be clock-independent, 540 to show a start at 09:00 am).
start_time: 0

# Specify that things in the episodes collection should be output.
collections:
  episodes:
    output: true
    permalink: /:path/index.html
  extras:
    output: true
    permalink: /:path/index.html

# Set the default layout for things in the episodes collection.
defaults:
  - values:
      root: .
      layout: page
  - scope:
      path: ""
      type: episodes
    values:
      root: ..
      layout: episode
  - scope:
      path: ""
      type: extras
    values:
      root: ..
      layout: page

# Files and directories that are not to be copied.
exclude:
  - Makefile
  - bin/
  - .Rproj.user/

# Turn on built-in syntax highlighting.
highlighter: rouge
